Update VICAL configuration
Update the VICAL configuration for the requested ecosystem
Roles
bearerAuthAuthorizationBearer <token>ecosystemId*stringThe UUID of the ecosystem
uuidapplication/json- body
vicalProvider*stringVICAL provider name.
autoPublish?Configuration for automatic scheduled publishing of VICALs.
VICAL configuration updated
application/json- response
vicalProvider*stringVICAL provider name.
autoPublish?Configuration for automatic scheduled publishing of VICALs.
curl -X PUT 'https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/vicals/configuration' \ -H 'Content-Type: application/json' \ -d '{ "vicalProvider": "Mattr"}'{ "vicalProvider": "Mattr", "autoPublish": { "enabled": true, "frequency": "Daily", "configuredAt": "2025-07-01T00:00:00.000Z" }}How would you rate this page?
Delete specific VICAL DELETE
Deletes a specific VICAL from the requested ecosystem by providing the VICAL version identifier. Deleting a VICAL also deletes the issuer policy published from it, if one exists. This action cannot be undone. A `404` is only returned when the ecosystem does not exist. Deleting a `vicalIssueId` that does not exist within an existing ecosystem still returns `204`.
Retrieve VICAL configuration GET
Retrieve the VICAL configuration from the requested ecosystem